//
//  ExampleEightCell.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 05/04/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "ExampleEightCell.h"

@implementation ExampleEightCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
  self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
  if (self)
  {
    self.textView = [[UITextView alloc] initWithFrame:self.bounds];
    [_textView setScrollEnabled:NO];
    [_textView setEditable:NO];
    [_textView setFont:[UIFont systemFontOfSize:14.0f]];
    [self.contentView addSubview:_textView];
  }
  return self;
}

- (void)populateWithObject:(id <RHTableViewProviderContent>)object
{
  CGRect frame = _textView.frame;
  frame.size.height = [object contentHeight] + 16;
  [_textView setFrame:frame];
  [_textView setText:[object object]];
}

@end
