//
//  ExampleEightViewController.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 05/04/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "ExampleEightViewController.h"
#import "ExampleEightContentItem.h"

@implementation ExampleEightViewController

- (void)viewWillAppear:(BOOL)animated
{
  [super viewWillAppear:animated];
  if (!self.tableView)
  {
    self.tableView = [RHTableViewProvider tableViewWithFrame:self.view.bounds style:UITableViewStylePlain forSuperView:self.view];
    self.provider = [[RHTableViewProvider alloc] initWithTableView:_tableView delegate:self customise:YES];
    [_tableView setSeparatorColor:[UIColor blackColor]];
    [_tableView setSeparatorStyle:UITableViewCellSeparatorStyleSingleLine];
    [_provider setDefaultCellClassName:@"ExampleEightCell"];
    ExampleEightContentItem *item1 = [[ExampleEightContentItem alloc] init];
    
    [item1 setObject:@"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit."];
    
    ExampleEightContentItem *item2 = [[ExampleEightContentItem alloc] init];
    [item2 setObject:@"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit."];
    
    ExampleEightContentItem *item3 = [[ExampleEightContentItem alloc] init];
    [item3 setObject:@"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum faucibus libero at massa fringilla eu eleifend lorem accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit."];
    
    [_provider setContent:@[item1, item2, item3] withSections:NO];
  }
}

#pragma mark - RHTableViewProviderDelegate

- (void)RHTableViewProvider:(RHTableViewProvider *)provider didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
  NSLog(@"Cell selected");
}

@end
