//
//  ExampleSevenViewController.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 11/03/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "ExampleSevenViewController.h"

@implementation ExampleSevenViewController

- (void)viewWillAppear:(BOOL)animated
{
  [super viewWillAppear:animated];
  if (!self.tableView)
  {
    self.tableView = [RHTableViewProvider tableViewWithFrame:self.view.bounds style:UITableViewStylePlain forSuperView:self.view];
    self.provider = [[RHTableViewProvider alloc] initWithTableView:_tableView delegate:self customise:YES];
    [_provider setContent:@[@"One", @"Two", @"Three", @"Four", @"Five", @"Six", @"Seven", @"Eight", @"Nine", @"Ten"] withSections:NO];
  }
}

#pragma mark - RHTableViewProviderDelegate

- (void)RHTableViewProvider:(RHTableViewProvider *)provider didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
  NSLog(@"Cell selected");
}

- (NSString *)RHTableViewProvider:(RHTableViewProvider *)provider cellClassForRowAtIndexPath:(NSIndexPath *)indexPath
{
  switch (indexPath.row) {
    case 2:
    case 4:
      return @"ExampleSevenCellExpanding";
      break;
    default:
      return @"ExampleSevenCell";
      break;
  }
}


@end
