//
//  RHTableViewProviderCellDefault.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 11/01/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "RHTableViewProviderCellDefault.h"
#import <QuartzCore/QuartzCore.h>

@implementation RHTableViewProviderCellDefault

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
  self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
  if (self) {
    self.label = [[UILabel alloc] initWithFrame:CGRectMake(10.0f, 10.0f, self.bounds.size.width - 20.0f, self.bounds.size.height - 20.0f)];
    [_label setTextColor:[UIColor blackColor]];
    [_label setBackgroundColor:[UIColor whiteColor]];
    [_label setFont:[UIFont boldSystemFontOfSize:16.0f]];
    [_label setLineBreakMode:NSLineBreakByWordWrapping];
    [_label setMinimumScaleFactor:1.0f];
    [_label setNumberOfLines:0];
    [self.contentView addSubview:self.label];
  }
  return self;
}

- (void)populateWithObject:(id)object
{
  [super populateWithObject:object];
  [self.label setText:object];
}

@end
