//
//  RHTVPContentItem.m
//  Unity-iPhone
//
//  Created by Rob Hayward on 28/03/2013.
//
//

#import "RHTVPContentItem.h"



@implementation RHTVPContentItem

+ (RHTVPContentItem *)withName:(NSString *)name object:(id)object
{
  RHTVPContentItem *item = [[RHTVPContentItem alloc] init];
  [item setName:name];
  [item setObject:object];
  return item;
}

- (id)init
{
  self = [super init];
  if (self)
  {
    _cellContentWidth = 180.0f;
    _cellFontSize = 14.0f;
  }
  return self;
}

- (CGFloat)contentHeight
{
  NSString *text = self.object;
  CGSize constraint = CGSizeMake(_cellContentWidth, 20000.0f);
  
  CGSize size = [text sizeWithFont:[UIFont systemFontOfSize:_cellFontSize] constrainedToSize:constraint lineBreakMode:NSLineBreakByWordWrapping];
  
  CGFloat height = MAX(size.height, _cellFontSize);
  return height;
}

- (CGFloat)contentHeightWhenExpanded
{
  return 128.0f;
}

@end