//
//  RHTableViewProviderCell.h
//  RHTableViewProvider
//
//  Created by Rob Hayward on 11/01/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UIView+RHTVP.h"
#import "RHTableViewProviderContent.h"

@class RHTableViewProvider;

typedef enum
{
  RHTableViewProviderCellTypeFirst,
  RHTableViewProviderCellTypeLast,
  RHTableViewProviderCellTypeMiddle,
  RHTableViewProviderCellTypeSingle
} RHTableViewProviderCellType;

@interface RHTableViewProviderCell : UITableViewCell

@property (weak, nonatomic) RHTableViewProvider *provider;
@property (weak, nonatomic) UITableView *parentTableView;
@property (strong, nonatomic) NSIndexPath *indexPath;
@property (assign, nonatomic) BOOL isGrouped;
@property (strong, nonatomic) id object;
@property (assign, nonatomic) RHTableViewProviderCellType cellType;

+ (CGFloat)margins;
+ (CGFloat)height;
+ (CGFloat)heightForSelectedState;
+ (BOOL)expandable;

- (void)willBeginEditing;
- (void)didEndEditing;
- (void)willDisplay;
- (void)didEndDisplay;
- (void)populateWithObject:(id)object;

@end
